## aodh 3.0.2

=== debian/changelog ===
aodh (3.0.2-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 14:52:21 -0400

aodh (3.0.1-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream stable point release for OpenStack Newton (LP: #1645772).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 29 Nov 2016 14:24:50 -0500

aodh (3.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for Openstack Newton.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Oct 2016 10:13:27 -0400

aodh (3.0.0~rc1-0ubuntu3) yakkety; urgency=medium

  * d/aodh-api.service.in: Set listen port to 8042 to ensure that the
    wsgi_script generated binary actually listens on the correct port,
    configurable using a systemd override if need be.
    (LP: #1629796).

 -- James Page <james.page@ubuntu.com>  Mon, 03 Oct 2016 12:04:26 +0100

aodh (3.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ James Page ]
  * d/aodh-api.{service,init}.in: Switch to directly defining the systemd
    service unit to support the switch in aodh-api to pbr to generate
    a wsgi_script, instead of the previous console-script version
    (LP: #1629367).
  * d/control: Set minimum pbr version to 1.10.0 to ensure a valid
    wsgi_script is generated for aodh-api.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Sep 2016 16:37:58 +0100

aodh (3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 08:53:56 -0400

aodh (3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 12:04:15 +0100

aodh (3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/p/drop-sphinx-git.patch: Dropped, no longer required.
  * d/rules: Update path for aodh-config-generator.conf.
  * d/rules: Ignore usr/etc/aodh/aodh-config-generator.conf when checking
    for missed files during dh_install.
  * d/p/skip-gabbi-tests.patch: Dropped, gabbi is a BD only so we can
    use it without pulling it into main.
  * d/aodh-common.install: Add usr/bin/aodh-data-migration.

  [ David Della Vecchia ]
  * New upstream version.
  * d/aodh-common.install: Add usr/bin/aodh-combination-alarm-conversion.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/rules: Run tests with ostestr.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch back to running tests with testr instead of ostestr.

  [ James Page ]
  * d/control: Add python-sqlalchemy-utils to Build-Depends.
  * d/rules: Limit package testing to unit tests only.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 15:49:56 -0400

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               python-all,
               python-pbr (>= 1.10.0),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.2),
                     mongodb,
                     python-babel,
                     python-ceilometerclient (>= 1.5.0),
                     python-concurrent.futures (>= 3.0),
                     python-cotyledon,
                     python-coverage,
                     python-croniter,
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-gabbi (>= 0.12.0),
                     python-gnocchiclient (>= 2.1.0),
                     python-hacking (>= 0.10.0),
                     python-happybase,
                     python-jsonschema,
                     python-keystoneclient (>= 1.6.0),
                     python-keystonemiddleware (>= 3.0.0),
                     python-lxml,
                     python-mock,
                     python-os-testr,
                     python-oslo.config (>= 1:3.0.0),
                     python-oslo.db (>= 1.12.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-pastedeploy,
                     python-pecan (>= 0.8.0),
                     python-psycopg2,
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-requests (>= 2.5.2),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sphinxcontrib.httpdomain,
                     python-sqlalchemy (>= 0.9.7),
                     python-sqlalchemy-utils,
                     python-stevedore (>= 1.5.0),
                     python-tempest (>= 1:11.0.0),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-tz,
                     python-webob,
                     python-werkzeug,
                     python-wsme (>= 0.8),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
Homepage: https://github.com/openstack/aodh

Package: python-aodh
Section: python
Architecture: all
Depends: alembic (>= 0.7.2),
         python-ceilometerclient (>= 1.5.0),
         python-concurrent.futures (>= 3.0),
         python-cotyledon,
         python-croniter,
         python-futurist (>= 0.11.0),
         python-gnocchiclient (>= 2.1.0),
         python-jsonschema,
         python-keystoneclient (>= 1.6.0),
         python-keystonemiddleware (>= 3.0.0),
         python-lxml,
         python-oslo.config (>= 1:3.0.0),
         python-oslo.db (>= 1.12.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 3.5.0),
         python-pastedeploy,
         python-pbr (>= 1.10.0),
         python-pecan (>= 0.8.0),
         python-pymongo (>= 3.0.2),
         python-pymysql,
         python-requests (>= 2.5.2),
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.7),
         python-stevedore (>= 1.5.0),
         python-tooz (>= 1.28.0),
         python-tz,
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.

Package: aodh-common
Architecture: all
Depends: adduser,
         dpkg-dev,
         python-aodh (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-api
Architecture: all
Depends: adduser,
         aodh-common (= ${binary:Version}),
         python-openstackclient,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-evaluator
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-notifier
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: aodh-listener
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-expirer
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

## aodh 3.0.4

=== debian/changelog ===
aodh (3.0.4-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1718033).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Sep 2017 16:26:58 -0400

aodh (3.0.3-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1705176).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 12:14:41 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#expose DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/aodh/aodh-config-generator.conf
	dh_install --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		OS_TEST_PATH=./aodh/tests/unit testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## aodh 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tenacity>=3.2.1  # Apache-2.0
croniter>=0.3.4 # MIT License
futures>=3.0;python_version=='2.7' or python_version=='2.6'  # BSD
futurist>=0.11.0  # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=2.2.0
gnocchiclient>=2.1.0  # Apache-2.0
lxml>=2.3
oslo.db>=4.8.0,!=4.13.1,!=4.13.2,!=4.15.0 # Apache-2.0
oslo.config>=2.6.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr<2.0,>=0.11
pecan>=0.8.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.22.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-ceilometerclient>=1.5.0
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3
WSME>=0.8
cachetools>=1.1.6
cotyledon

=== debian/changelog ===
aodh (4.0.0-0ubuntu2) zesty; urgency=medium

  * debian/patches/fix-migrate-alarm-history.patch: Fix migration
    to use alarm_history. (LP: #1667334)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Feb 2017 10:15:54 -0500

aodh (4.0.0-0ubuntu1) zesty; urgency=medium

  * debian/rules: Do not try to install usr/etc/aodh/api_paste.ini
    or usr/etc/aodh/policy.json. 
  * debian/aodh-common.install, debian/rules: Adjust installation of
    configuration files.
  * New upstream milestone for Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/tests: Add autopkgtests.
  * d/rules, d/aodh-conf.dist: Configure proper logging directory.
  * d/control: Fix lintian warnings.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 13:09:44 -0500

aodh (4.0.0~git20170105.5363ff85-0ubuntu1) zesty; urgency=medium

  * New upstream release snapshot for OpenStack Ocata:
    - Updates package version to align with ocata (4.0.0).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2017 12:03:16 -0500

aodh (3.0.1+git20170105.5363ff85-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Remove python-testtools, its no longer being used.
  * debian/aodh-common.install: Remove usr/bin/aodh-data-migration, no longer exists.

  [ Corey Bryant ]
  * d/aodh-common.install, d/control, d/rules,
    d/aodh-api.{apache2,conf,service.in}: Run aodh-api under apache2 with
    mod_wsgi.
  * New upstream release snapshot for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Jan 2017 07:56:33 -0500

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,13 @@
 #expose DH_VERBOSE=1
 
 export HOME="$(CURDIR)/debian/test"
+SHELL := /bin/sh -e
+
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python2,systemd,sphinxdoc
+	dh $@  --with apache2,python2,systemd,sphinxdoc
 
 override_dh_clean:
 	dh_clean
@@ -16,7 +18,14 @@
 
 override_dh_install:
 	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/aodh/aodh-config-generator.conf
-	dh_install --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf
+	dh_install --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
+		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini
+	$(SHELL) debian/setup-aodh-config.sh $(CURDIR)/debian/aodh-conf.dist $(CURDIR)/etc/aodh/aodh.conf
+
+	pkgos-fix-config-default $(CURDIR)/debian/aodh-common/etc/aodh/aodh.conf database backend sqlalchemy
+	pkgos-fix-config-default $(CURDIR)/debian/aodh-common/etc/aodh/aodh.conf database connection \
+		sqlite:////var/lib/aodh/sqlite.db
+
 
 override_dh_auto_clean:
 	dh_auto_clean

## aodh 4.0.2

=== debian/changelog ===
aodh (4.0.2-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:23:11 -0400

aodh (4.0.1-0ubuntu0.17.04.1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1706297).
    - d/p/fix-migrate-alarm-history.patch; Dropped, accepted upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:32:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: apache2-dev,
+               debhelper (>= 9),
+               dh-apache2,
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 37~),
@@ -12,80 +14,82 @@
                python-pbr (>= 1.10.0),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.7.2),
-                     mongodb,
+Build-Depends-Indep: mongodb,
                      python-babel,
+                     python-cachetools (>= 1.1.6),
                      python-ceilometerclient (>= 1.5.0),
-                     python-concurrent.futures (>= 3.0),
                      python-cotyledon,
                      python-coverage,
-                     python-croniter,
-                     python-fixtures (>= 1.3.1),
+                     python-croniter (>= 0.3.4),
+                     python-concurrent.futures (>= 3.0),
                      python-futurist (>= 0.11.0),
-                     python-gabbi (>= 0.12.0),
                      python-gnocchiclient (>= 2.1.0),
-                     python-hacking (>= 0.10.0),
+                     python-gabbi,
                      python-happybase,
-                     python-jsonschema,
-                     python-keystoneclient (>= 1.6.0),
-                     python-keystonemiddleware (>= 3.0.0),
-                     python-lxml,
+                     python-jsonschema (>= 2.0.0),
+                     python-keystoneclient (>= 1:1.6.0),
+                     python-keystonemiddleware (>= 2.2.0),
+                     python-lxml (>= 2.3),
                      python-mock,
                      python-os-testr,
-                     python-oslo.config (>= 1:3.0.0),
-                     python-oslo.db (>= 1.12.0),
+                     python-oslo.config (>= 1:2.6.0),
+                     python-oslo.db (>= 4.8.0),
                      python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 3.16.0),
+                     python-oslo.log (>= 1.2.0),
                      python-oslo.messaging (>= 5.2.0),
-                     python-oslo.middleware (>= 3.0.0),
+                     python-oslo.middleware (>= 3.22.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 3.5.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
-                     python-pastedeploy,
+                     python-oslotest,
+                     python-oslosphinx,
+                     python-os-testr,
+                     python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 0.8.0),
                      python-psycopg2,
-                     python-pymongo (>= 3.0.2),
                      python-pymysql,
+                     python-tz (>= 2013.6),
+                     python-tempest,
+                     python-testscenarios,
+                     python-testresources,
                      python-requests (>= 2.5.2),
                      python-retrying,
                      python-six (>= 1.9.0),
+                     python-sphinxcontrib.httpdomain,
                      python-sphinxcontrib-pecanwsme (>= 0.8),
-                     python-sphinxcontrib.httpdomain,
-                     python-sqlalchemy (>= 0.9.7),
                      python-sqlalchemy-utils,
                      python-stevedore (>= 1.5.0),
-                     python-tempest (>= 1:11.0.0),
-                     python-testtools (>= 1.4.0),
+                     python-tenacity (>= 3.2.1),
                      python-tooz (>= 1.28.0),
                      python-tz,
-                     python-webob,
+                     python-webob (>= 1.2.3),
+                     python-webtest,
                      python-werkzeug,
                      python-wsme (>= 0.8),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
 Homepage: https://github.com/openstack/aodh
+XS-Testsuite: autopkgtest
 
 Package: python-aodh
 Section: python
 Architecture: all
-Depends: alembic (>= 0.7.2),
+Depends: python-cachetools (>= 1.1.6),
          python-ceilometerclient (>= 1.5.0),
-         python-concurrent.futures (>= 3.0),
          python-cotyledon,
          python-croniter,
+         python-concurrent.futures (>= 3.0),
          python-futurist (>= 0.11.0),
          python-gnocchiclient (>= 2.1.0),
          python-jsonschema,
          python-keystoneclient (>= 1.6.0),
-         python-keystonemiddleware (>= 3.0.0),
+         python-keystonemiddleware (>= 2.20),
          python-lxml,
          python-oslo.config (>= 1:3.0.0),
-         python-oslo.db (>= 1.12.0),
+         python-oslo.db (>= 4.8.0),
          python-oslo.i18n (>= 1.5.0),
          python-oslo.log (>= 3.16.0),
          python-oslo.messaging (>= 5.2.0),
@@ -96,20 +100,21 @@
          python-pastedeploy,
          python-pbr (>= 1.10.0),
          python-pecan (>= 0.8.0),
-         python-pymongo (>= 3.0.2),
+         python-sqlalchemy,
          python-pymysql,
+         python-tz (>= 2013.6),
          python-requests (>= 2.5.2),
          python-retrying,
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.7),
          python-stevedore (>= 1.5.0),
+         python-tenacity (>= 3.2.1),
          python-tooz (>= 1.28.0),
          python-tz,
          python-webob,
          python-werkzeug,
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -129,7 +134,7 @@
          dpkg-dev,
          python-aodh (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Provides: ${python:Provides},
 Description: OpenStack Telemetry (Ceilometer) Alarming - common files
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
@@ -147,10 +152,12 @@
 Architecture: all
 Depends: adduser,
          aodh-common (= ${binary:Version}),
+         apache2 | httpd,
+         libapache2-mod-wsgi,
          python-openstackclient,
-         ${misc:Depends},
-         ${ostack-lsb-base},
-         ${python:Depends},
+         lsb-base,
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: mongodb,
 Description: OpenStack Telemetry (Ceilometer) Alarming - API server
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
@@ -166,10 +173,9 @@
 
 Package: aodh-evaluator
 Architecture: all
-Depends: aodh-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${ostack-lsb-base},
-         ${python:Depends},
+Depends: aodh-common (= ${binary:Version}), lsb-base,
+         ${misc:Depends},
+         ${python:Depends}
 Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -184,10 +190,9 @@
 
 Package: aodh-notifier
 Architecture: all
-Depends: aodh-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${ostack-lsb-base},
-         ${python:Depends},
+Depends: aodh-common (= ${binary:Version}), lsb-base,
+         ${misc:Depends},
+         ${python:Depends}
 Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -202,10 +207,9 @@
 
 Package: aodh-listener
 Architecture: all
-Depends: aodh-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${ostack-lsb-base},
-         ${python:Depends},
+Depends: aodh-common (= ${binary:Version}), lsb-base,
+         ${misc:Depends},
+         ${python:Depends}
 Description: OpenStack Telemetry (Ceilometer) Alarming - listener
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -220,10 +224,9 @@
 
 Package: aodh-expirer
 Architecture: all
-Depends: aodh-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${ostack-lsb-base},
-         ${python:Depends},
+Depends: aodh-common (= ${binary:Version}), lsb-base,
+         ${misc:Depends},
+         ${python:Depends}
 Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across

## aodh 4.0.3

=== debian/changelog ===
aodh (4.0.3-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1759855).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 May 2018 10:00:36 -0400

aodh (4.0.2-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 27 Sep 2017 14:00:32 +0000

## aodh 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 oslo.log>=1.2.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 PasteDeploy>=1.5.0
-pbr<2.0,>=0.11
+pbr>=2.0.0 # Apache-2.0
 pecan>=0.8.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.middleware>=3.22.0 # Apache-2.0
@@ -33,3 +33,5 @@
 WSME>=0.8
 cachetools>=1.1.6
 cotyledon
+keystoneauth1>=2.1
+debtcollector>=1.2.0  # Apache-2.0

=== debian/changelog ===
aodh (5.0.0-0ubuntu2) artful; urgency=medium

  * d/aodh-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:57:40 -0400

aodh (5.0.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/aodh-common.install: Dropped deprecated alarms.

  [  James Page ]
  * d/rules: Use ostestr for unit test execution.
  * New snapshot.
  * d/rules,aodh.conf.dist: Refactor defaults management to use crudini.
  * d/*: wrap-and-sort.

  [ Corey Bryant ]
  * d/rules: Align aodh-config-generator.conf path with upstream.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 08:32:09 -0400

aodh (4.0.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1706297).
    - d/p/*: Drop patches, included upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 15:22:32 +0100

aodh (4.0.0-0ubuntu3) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:33:22 +0100

## aodh 5.1.0

=== debian/changelog ===
aodh (5.1.0-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:40:55 -0400

=== debian/control ===
--- 
+++ 
@@ -11,22 +11,25 @@
                dh-systemd,
                openstack-pkg-tools (>= 37~),
                python-all,
-               python-pbr (>= 1.10.0),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: mongodb,
+Build-Depends-Indep: crudini,
+                     mongodb,
                      python-babel,
                      python-cachetools (>= 1.1.6),
                      python-ceilometerclient (>= 1.5.0),
+                     python-concurrent.futures (>= 3.0),
                      python-cotyledon,
                      python-coverage,
                      python-croniter (>= 0.3.4),
-                     python-concurrent.futures (>= 3.0),
+                     python-debtcollector (>= 1.2.0),
                      python-futurist (>= 0.11.0),
+                     python-gabbi,
                      python-gnocchiclient (>= 2.1.0),
-                     python-gabbi,
                      python-happybase,
                      python-jsonschema (>= 2.0.0),
+                     python-keystoneauth1 (>= 2.1),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 2.2.0),
                      python-lxml (>= 2.3),
@@ -41,33 +44,32 @@
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 3.5.0),
+                     python-oslosphinx,
                      python-oslotest,
-                     python-oslosphinx,
-                     python-os-testr,
                      python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 0.8.0),
                      python-psycopg2,
                      python-pymysql,
-                     python-tz (>= 2013.6),
-                     python-tempest,
-                     python-testscenarios,
-                     python-testresources,
                      python-requests (>= 2.5.2),
                      python-retrying,
                      python-six (>= 1.9.0),
+                     python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sphinxcontrib.httpdomain,
-                     python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sqlalchemy-utils,
                      python-stevedore (>= 1.5.0),
+                     python-tempest,
                      python-tenacity (>= 3.2.1),
+                     python-testresources,
+                     python-testscenarios,
                      python-tooz (>= 1.28.0),
                      python-tz,
+                     python-tz (>= 2013.6),
                      python-webob (>= 1.2.3),
                      python-webtest,
                      python-werkzeug,
                      python-wsme (>= 0.8),
                      subunit,
-                     testrepository
+                     testrepository,
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
@@ -79,12 +81,14 @@
 Architecture: all
 Depends: python-cachetools (>= 1.1.6),
          python-ceilometerclient (>= 1.5.0),
+         python-concurrent.futures (>= 3.0),
          python-cotyledon,
          python-croniter,
-         python-concurrent.futures (>= 3.0),
+         python-debtcollector (>= 1.2.0),
          python-futurist (>= 0.11.0),
          python-gnocchiclient (>= 2.1.0),
          python-jsonschema,
+         python-keystoneauth1 (>= 2.1),
          python-keystoneclient (>= 1.6.0),
          python-keystonemiddleware (>= 2.20),
          python-lxml,
@@ -93,28 +97,28 @@
          python-oslo.i18n (>= 1.5.0),
          python-oslo.log (>= 3.16.0),
          python-oslo.messaging (>= 5.2.0),
-         python-oslo.middleware (>= 3.0.0),
+         python-oslo.middleware (>= 3.22.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 3.5.0),
          python-pastedeploy,
-         python-pbr (>= 1.10.0),
+         python-pbr (>= 2.0.0),
          python-pecan (>= 0.8.0),
-         python-sqlalchemy,
          python-pymysql,
-         python-tz (>= 2013.6),
          python-requests (>= 2.5.2),
          python-retrying,
          python-six (>= 1.9.0),
+         python-sqlalchemy,
          python-stevedore (>= 1.5.0),
          python-tenacity (>= 3.2.1),
          python-tooz (>= 1.28.0),
          python-tz,
+         python-tz (>= 2013.6),
          python-webob,
          python-werkzeug,
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -134,7 +138,7 @@
          dpkg-dev,
          python-aodh (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Provides: ${python:Provides},
 Description: OpenStack Telemetry (Ceilometer) Alarming - common files
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
@@ -154,10 +158,10 @@
          aodh-common (= ${binary:Version}),
          apache2 | httpd,
          libapache2-mod-wsgi,
+         lsb-base,
          python-openstackclient,
-         lsb-base,
-         ${misc:Depends},
-         ${python:Depends}
+         ${misc:Depends},
+         ${python:Depends},
 Suggests: mongodb,
 Description: OpenStack Telemetry (Ceilometer) Alarming - API server
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
@@ -173,9 +177,10 @@
 
 Package: aodh-evaluator
 Architecture: all
-Depends: aodh-common (= ${binary:Version}), lsb-base,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: aodh-common (= ${binary:Version}),
+         lsb-base,
+         ${misc:Depends},
+         ${python:Depends},
 Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -190,9 +195,10 @@
 
 Package: aodh-notifier
 Architecture: all
-Depends: aodh-common (= ${binary:Version}), lsb-base,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: aodh-common (= ${binary:Version}),
+         lsb-base,
+         ${misc:Depends},
+         ${python:Depends},
 Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -207,9 +213,10 @@
 
 Package: aodh-listener
 Architecture: all
-Depends: aodh-common (= ${binary:Version}), lsb-base,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: aodh-common (= ${binary:Version}),
+         lsb-base,
+         ${misc:Depends},
+         ${python:Depends},
 Description: OpenStack Telemetry (Ceilometer) Alarming - listener
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
@@ -224,9 +231,10 @@
 
 Package: aodh-expirer
 Architecture: all
-Depends: aodh-common (= ${binary:Version}), lsb-base,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: aodh-common (= ${binary:Version}),
+         lsb-base,
+         ${misc:Depends},
+         ${python:Depends},
 Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#expose DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"
SHELL := /bin/sh -e


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/etc/aodh
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$(CURDIR)/aodh/cmd/aodh-config-generator.conf \
		--output-file=$(CURDIR)/debian/tmp/etc/aodh/aodh.conf
	crudini --merge $(CURDIR)/debian/tmp/etc/aodh/aodh.conf < $(CURDIR)/debian/aodh.conf.dist
	dh_install --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=./aodh/tests/unit ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist.txt
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif
